body {
    background: var(--bgcolor);
    color: var(--txtcolor);
}

.gallery {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    column-gap: 20px;
    row-gap: 20px;
    padding: 0;
}

.objects {
    display: flex;
    mix-blend-mode: screen;
}

.objects:hover {
    mix-blend-mode: multiply;
}

img {
    width: 400px;
    display: inline;
}

figure {
	margin: 0;
}

a:hover {
    color: var(--hlcolor);
    font-style: italic;
}

figcaption {
    max-width: 400px;
    text-wrap: balanced;
    overflow-wrap: break-word;
}

@media (max-width: 600px) {
    body {
        padding: 20px;
      }
        
    h1 {
        font-size: 1.8em;
    }

    .gallery {
        column-gap: 20px;
    }

    .objects {
        width: 140px;
    }

    img {
        width: 100%;
    }

    figcaption {
        max-width: 140px;
        margins: 0 auto;
        text-wrap: balanced;
        overflow-wrap: break-word;
    }

}